Make use of enabled_any().
authorDiego Biurrun <diego@biurrun.de>
Sun, 28 Jan 2007 16:22:07 +0000 (16:22 +0000)
committerDiego Biurrun <diego@biurrun.de>
Sun, 28 Jan 2007 16:22:07 +0000 (16:22 +0000)
Originally committed as revision 7743 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 1d01d50..b4c0d82 100755 (executable)
--- a/configure
+++ b/configure
@@ -1232,7 +1232,7 @@ if test "$gpl" != "yes"; then
         die "The Postprocessing code is under GPL and --enable-gpl is not specified."
     fi
 
-    if test "$liba52" != "no" -o "$liba52bin" != "no"; then
+    if enabled_any liba52 liba52bin ; then
         die "liba52 is under GPL and --enable-gpl is not specified."
     fi
 
@@ -1248,7 +1248,7 @@ if test "$gpl" != "yes"; then
         die "libdts is under GPL and --enable-gpl is not specified."
     fi
 
-    if test "$libfaad" != "no" -o "$libfaadbin" != "no"; then
+    if enabled_any libfaad libfaadbin ; then
         if check_header faad.h; then
             check_cc << EOF
                 #include <faad.h>